Name:		vmpsd 
Version:	1.4.03
Release:	1%{?dist}
Summary:	A GPL implementation of Cisco Systems' VMPS

Group:	System Environment/Daemons
# Valid license according to http://fedoraproject.org/wiki/Licensing
License:	GPL+
URL:	http://vmps.sourceforge.net/
Source0:	http://downloads.sourceforge.net/vmps/%{name}-%{version}.tar.gz
Source1:	vmpsd.sysconfig
Source2:	vmpsd.init
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires(post):	chkconfig
Requires(preun):	chkconfig
# This is for /sbin/service
Requires(preun):	initscripts
Requires(postun):	initscripts

%description
VMPS (VLAN Management Policy Server) is a way of assigning switch ports to 
specific VLANs based on MAC address of connecting device. OpenVMPS is a GPL 
implementation of VMPS.

%prep
%setup -qn %{name}-%{version}

%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{name}
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_initrddir}
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig
mkdir -p $RPM_BUILD_ROOT%{_mandir}

make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"

install %{S:1} -p -m 0644 $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/%{name}
install %{S:2} -p $RPM_BUILD_ROOT%{_initrddir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add %{name}

%preun
if [ $1 -eq 0 ] ; then
   /sbin/service %{name} stop > /dev/null 2>&1
   /sbin/chkconfig --del %{name}
fi

%postun
if [ "$1" -ge "1" ] ; then
    /sbin/service %{name} condrestart >/dev/null 2>&1 || :
fi

%files
%defattr(-,root,root,-)
%config(noreplace) %{_sysconfdir}/vlan.db
%config(noreplace) %{_sysconfdir}/sysconfig/%{name}
%attr(0755,root,root) %{_initrddir}/%{name}
%attr(0755,root,root) %{_bindir}/%{name}
%doc doc/NetregExtension.txt
%doc doc/VQP-spec.txt
%doc doc/vlan.db.example
%doc COPYING.GPL ChangeLog AUTHORS
%{_mandir}/man1/%{name}.1.gz

%changelog
* Mon May 2 2011 Colin Coe <colin.coe@gmail.com> - 1.4.03-1
- Rebase to latest upstream to resolve BZ699728

* Thu Apr 28 2011 Colin Coe <colin.coe@gmail.com> - 1.4.02-1
- Rebase to latest upstream

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.01-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Sep 7 2009 Colin Coe <colin.coe@gmail.com> - 1.4.01-6%{?dist}
- Remove condrestart from post section as it's now in the postun section
- Stop packaging the INSTALL file

* Sun Sep 6 2009 Colin Coe <colin.coe@gmail.com> - 1.4.01-5
- Add condrestart in postun
- Add ChangeLog and COPYING.GPL to files section

* Sat Sep 5 2009 Colin Coe <colin.coe@gmail.com> - 1.4.01-4
- Add condrestart into post section
- Use macros in files section
- Remove '$DESTDIR=$RPM_BUILD_ROOT' from make in build section
- Do parallel make
- Don't start service by default
- Add Requires for post and preun
- Correct the Source0 URL
- Move clean to after install

* Tue Sep 1 2009 Colin Coe <colin.coe@gmail.com> - 1.4.01-3
- Split /etc/sysconfig/vmpsd and /etc/rc.d/init.d/vmpsd out of the spec file
- Corrected license from GPLv2 to GPL+
- Ensured that the make is done in the build section

* Thu Aug 20 2009 Colin Coe <colin.coe@gmail.com> - 1.4.01-2
- Tidied spec file and silenced rpmlint output

* Mon Aug 17 2009 Colin Coe <colin.coe@gmail.com> - 1.4.01-1
- Initial Packaging 
